<!DOCTYPE html>
<html xmlns:th="http://www.thymeleaf.org">
<head>
    <meta charset="UTF-8">
    <meta http-equiv="x-ua-compatible" content="ie=edge">
    <title>Authors</title>

    <meta name="viewport" content="width=device-width, initial-scale=1">
    <link href="https://cdn.jsdelivr.net/npm/bootstrap@5.0.2/dist/css/bootstrap.min.css" rel="stylesheet"
          integrity="sha384-EVSTQN3/azprG1Anm3QDgpJLIm9Nao0Yz1ztcQTwFspd3yD65VohhpuuCOmLASjC" crossorigin="anonymous">
    <link rel="stylesheet" href="https://use.fontawesome.com/releases/v5.4.1/css/all.css">

</head>

<body>
<div th:insert="fragments/header :: header"></div>
<div class="container my-2">
    <div class="card">
        <div class="card-body">
            <div th:switch="${authors}" class="container my-5">
                <p class="my-5">
                    <a href="/add-author" class="btn btn-primary">
                        <i class="fas fa-user-plus ml-2"> Add Author </i></a>
                </p>
                <div class="col-md-12">
                    <h2 th:case="null">No record found !!</h2>
                    <div th:case="*">
                        <table class="table table-striped table-responsive-md">
                            <thead>
                            <tr>
                                <th scope="col">#</th>
                                <th scope="col">Name</th>
                                <th scope="col">Edit</th>
                                <th scope="col">Delete</th>
                            </tr>
                            </thead>
                            <tbody>
                            <tr th:each="author : ${authors}">
                                <td th:text="${author.id}"></td>
                                <td th:text="${author.name}"></td>
                                <td><a th:href="@{/update-author/{id}(id=${author.id})}"
                                       class="btn btn-primary"><i
                                        class="fas fa-user-edit ml-2"></i></a></td>
                                <td><a th:href="@{/remove-author/{id}(id=${author.id})}"
                                       class="btn btn-primary"><i
                                        class="fas fa-user-times ml-2"></i></a></td>
                            </tr>
                            </tbody>
                        </table>
                    </div>
                </div>
            </div>
        </div>
    </div>
</div>
</body>
</html>
